function Effects08 ( timeScene )	
	currentMult.Effect08.Bubble1.x = 200
	currentMult.Effect08.Bubble1.y = 90
end

function Effects08A ( timeScene )	
	currentMult.Effect08A.Altar.x = lerp(345, 290, timeScene) --290
	currentMult.Effect08A.Altar.y = lerp(200, 241, timeScene) --240
end                              

local DoAnim8 = false

function Visual_8 (timeScene, Relax, Destroid, Pause)
--	if timeScene <= 1 - Destroid - Pause then   					
--		local T = ease(timeScene/(1 - Destroid - Pause), 0, Relax)
	if timeScene <= 1 - Pause then   						
		local T = ease(timeScene/(1- Pause), 0, Relax)
	
		
		currentMult.Scene8.BackGroundMin.x     = lerp( 250,150, T)
		currentMult.Scene8.BackGroundMin.y     = lerp( 170,230, T)
		currentMult.Scene8.BackGroundMin.scale = lerp(0.55,1,   T)	
						   
		currentMult.Scene8.Altar.x     = lerp(300, 245, T)
		currentMult.Scene8.Altar.y     = lerp(135, 166, T)
		currentMult.Scene8.Altar.scale = lerp(0.55,1,   T)
		currentMult.Scene8.Altar.color = Color(255, 255, 255, 0) --lerp( 255, 0, T))                   
		
						   
		currentMult.Scene8.LeftDestr.x     = lerp(168, 100, T)
		currentMult.Scene8.LeftDestr.y     = lerp(108, 118, T)
		currentMult.Scene8.LeftDestr.scale = lerp(0.6,1,    T)	
						   
		currentMult.Scene8.RightDestr.x     = lerp(352, 482, T)
		currentMult.Scene8.RightDestr.y     = lerp(71, 78, T)
		currentMult.Scene8.RightDestr.scale = lerp(0.6,1,    T)		
						   
		currentMult.Scene8.Left.x     = lerp(160,  84, T)
		currentMult.Scene8.Left.y     = lerp(145,176,  T)
		currentMult.Scene8.Left.scale = lerp(0.6,1,     T)		
						   
		currentMult.Scene8.Right.x     = lerp( 345, 489,T)
		currentMult.Scene8.Right.y     = lerp( 70,  61, T)
		currentMult.Scene8.Right.scale = lerp(0.6, 1,   T)
		currentMult.Scene8.Symbol.x = lerp(330,295,  T)
		currentMult.Scene8.Symbol.y = lerp(180,250,  T)--		currentMult.Scene8.Symbol.scale = lerp(1, 1.9,  T)
		
		currentMult.Scene8.Altar.color = Color(255, 255, 255, 0  )                   
		currentMult.Scene8.Left.color  = Color(255, 255, 255, 255)                   
		currentMult.Scene8.Right.color = Color(255, 255, 255, 255)                   					   		
		
		
		if not DoAnim8 and timeScene >= 0.3 then
			DoAnim8 = true
			currentMult.Effect08A.layer.isVisible = true
			currentMult.Effect08A.Altar:Do("Reset")	
		elseif timeScene < 0.4 then
			DoAnim8 = false
		end
		
		Effects08A ( T )--timeScene )			
		
--	elseif  1 - Destroid <= timeScene+Pause and  timeScene+Pause < 1 then
		currentMult.Scene8.DarkBG.color = Color(255, 255, 255, 0)
		currentMult.Scene8.DarkBG.x     = lerp( 300,235, T)
		currentMult.Scene8.DarkBG.y     = lerp( 170,228, T)
		currentMult.Scene8.DarkBG.scale = lerp(0.55,1,   T)	
		                               
		if  1 - Destroid <= timeScene+Pause and  timeScene+Pause < 1 then
--		local T = (timeScene + Pause - 1)/Destroid + 1
			local Ts = (timeScene + Pause - 1)/Destroid + 1
			currentMult.Scene8.DarkBG.color = Color(255, 255, 255, lerp( 0, 255, Ts))
			
			currentMult.Scene8.Symbol.color = Color(255, 255, 255, lerp( 255, 0, Ts))
			currentMult.Scene8.Symbol.scale = lerp(1.9 - 0.9*(Destroid + Pause), 0, Ts)				
			currentMult.Scene8.Symbol.x = lerp (330, 295,  T)
			currentMult.Scene8.Symbol.y = lerp (180, 250,  T)
			
			currentMult.Scene8.Altar.color = Color(255, 255, 255, lerp( 0, 255, Ts))                   
			currentMult.Scene8.Left.color = Color(255, 255, 255, lerp(255, 0,  Ts))                   
			currentMult.Scene8.Right.color = Color(255, 255, 255, lerp( 255,0, Ts))                   					   
		else
			currentMult.Scene8.Symbol.scale = lerp(1, 1.9,  T)
		end
	end
	currentMult.Scene8.Shadow.color = Color(255, 255, 255, 0)
end

function SymbolAnim_3 (timeScene)		
end 

function Scene8Show()
	currentMult.Scene8.layer.isVisible = true
	
	currentMult.Effect08A.Altar:Do   ("Reset")
	currentMult.Effect08.Bubble1:Do ("Reset")
	currentMult.Effect08.Bubble2:Do ("Reset")	         
end 
function Scene8Hide()
	currentMult.Scene8.layer.isVisible = false
	currentMult.Effect08A.Altar:Do   ("Fisinsh")
	currentMult.Effect08.Bubble1:Do ("Fisinsh")
	currentMult.Effect08.Bubble2:Do ("Fisinsh")	         
end 